# Generated by Django 4.1.7 on 2023-03-15 21:35

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("snowboard_rest", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="snowboard",
            options={
                "ordering": (
                    "name",
                    "date",
                    "email",
                    "boot_size",
                    "board_length",
                    "equipment_rental",
                )
            },
        ),
        migrations.RemoveField(
            model_name="snowboard",
            name="visitor",
        ),
        migrations.AlterField(
            model_name="snowboard",
            name="board_length",
            field=models.CharField(
                choices=[
                    ("135cm", "135com"),
                    ("138cm", "138cm"),
                    ("142cm", "142com"),
                    ("146cm", "146cm"),
                    ("151cm", "151cm"),
                    ("155cm", "155cm"),
                    ("157cm", "157cm"),
                    ("159cm", "159cm"),
                    ("161cm", "161cm"),
                    ("166cm", "166cm"),
                    ("172cm", "172cm"),
                ],
                default="board length",
                max_length=5,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="snowboard",
            name="boot_size",
            field=models.CharField(
                choices=[
                    ("K1", "K1"),
                    ("K2", "K2"),
                    ("K2.5", "K2.5"),
                    ("K3", "K3"),
                    ("K3.5", "K3.5"),
                    ("K4", "K4"),
                    ("K4.5", "K4.5"),
                    ("K5", "K5"),
                    ("K5.5", "K5.5"),
                    ("K6", "K6"),
                    ("K6.5", "K6.5"),
                    ("K7", "K7"),
                    ("K7.5", "K7.5"),
                    ("K8", "K8"),
                    ("K8.5", "K8.5"),
                    ("K9", "K9"),
                    ("K9.5", "K9.5"),
                    ("K10", "K10"),
                    ("K10.5", "K10.5"),
                    ("K11", "K11"),
                    ("K11.5", "K11.5"),
                    ("K12", "K12"),
                    ("K12.5", "K12.5"),
                    ("K13", "K13"),
                    ("K13.5", "K13.5"),
                    ("Y1", "Y1"),
                    ("Y1.5", "Y1.5"),
                    ("Y2", "Y2"),
                    ("Y2.5", "Y2.5"),
                    ("Y3", "Y3"),
                    ("M3.5", "M3.5"),
                    ("M4", "M4"),
                    ("M4.5", "M4.5"),
                    ("M5", "M5"),
                    ("M5.5", "M5.5"),
                    ("M6", "M6"),
                    ("M6.5", "M6.5"),
                    ("M7", "M7"),
                    ("M7.5", "M7.5"),
                    ("M8", "M8"),
                    ("M8.5", "M8.5"),
                    ("M9", "M9"),
                    ("M9.5", "M9.5"),
                    ("M10", "M10"),
                    ("M10.5", "M10.5"),
                    ("M11", "M11"),
                    ("M11.5", "M11.5"),
                    ("M12", "M12"),
                    ("M12.5", "M12.5"),
                    ("M13", "M13"),
                    ("M13.5", "M13.5"),
                    ("M14", "M14"),
                ],
                default="shoe size",
                max_length=5,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="snowboard",
            name="equipment_rental",
            field=models.BooleanField(
                choices=[(True, "Yes"), (False, "No")], default=None, null=True
            ),
        ),
        migrations.AlterField(
            model_name="snowboard",
            name="name",
            field=models.CharField(max_length=100),
        ),
        migrations.DeleteModel(
            name="VisitorVO",
        ),
    ]
